package com.qmth.themis.business.enums;

/**
 * @Description: mq tag enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqTagEnum {

    WEB("会话web标签", "用户session", "normal", 0),
    WIN("会话win标签", "用户session", "normal", 1),
    MAC("会话mac标签", "用户session", "normal", 2),
    WXAPP("会话wxapp标签", "用户session", "normal", 3),
    IOS("会话ios标签", "用户session", "normal", 4),
    ANDROID("会话android标签", "用户session", "normal", 5),
    USER("用户轨迹user标签", "用户轨迹", "normal", 6),
    STUDENT("用户轨迹student标签", "考生轨迹", "normal", 7),
    EXAM_STUDENT_IMPORT("考生导入任务标签", "考生导入任务", "normal", 8),
    ROOM_CODE_EXPORT("考场导出任务标签", "考场导出任务", "normal", 9),
    ROOM_CODE_IMPORT("考场导入任务标签", "考场导入任务", "normal", 10),
    EXAM_PAPER_IMPORT("试卷导入任务标签", "试卷导入任务", "normal", 11),
    OE_IM_CLUSTERING("websocket客户端点对点发送消息标签", "客户端点对点消息", "broadcast", 12),
    OE_IM_BROADCASTING("websocket客户端广播发送消息标签", "客户端广播消息", "broadcast", 13),
    OE_MONITOR_FINISH("websocket客户端监考强制离线(交卷)标签", "监考强制离线(交卷)", "broadcast", 14),
    OE_WARNING_FINISH("websocket客户端预警强制离线(交卷)标签", "预警强制离线(交卷)", "broadcast", 15),
//    OE_HARD_FINISH("websocket客户端手动(交卷)标签", "手动(交卷)", "broadcast", 16),
    OE_LIVENESS_VERIFY("websocket客户端监考强制活体验证标签", "监考强制活体验证", "broadcast", 17),
    OE_UN_NORMAL("websocket超时退出标签", "websocket超时退出", "delay", 18),
    EXAM_ACTIVITY("考场一次性延时任务标签", "考场一次性延时任务", "normal", 19),
    QUARTZ("quartz标签", "quartz任务", "normal", 20),
    //    CALCULATE_OBJECTIVE_SCORE("计算客观分标签", "计算客观分", "normal", 21),
    FACE_VERIFY_SAVE("人脸验证保存标签", "人脸验证", "normal", 22),
    LIVENESS_VERIFY_SAVE("活体验证保存标签", "活体验证", "normal", 23),
    EXAM_RECORD_PERSISTED("考试记录数据持久化标签", "考试", "normal", 24),
    EXAM_RECORD_UPDATE("考试记录数据更新标签", "考试记录数据更新", "normal", 25),
    EXCEPTION_LOG("异常标签", "异常", "normal", 28),
    MONITOR_LOG("监考监控标签", "监考监控", "normal", 29),
    EXAM_SCORE_CALCULATE("重新算分标签", "重新算分", "normal", 30),
    EXAM_STUDNET_UPDATE("考生数据更新标签", "考生数据更新", "normal", 31),
    EXAM_BREAK("考试断点标签", "考试断点", "normal", 32),
    EXAM_STOP("考试移动端监控退出标签", "考试移动端退出暂停", "broadcast", 33),
    EXAM_STUDENT("考生一次性延时任务标签", "考生一次性延时任务", "normal", 35),
    EXAM_STUDENT_EXPORT("考生导出任务标签", "考生导出任务", "normal", 36),
    MARK_RESULT_SIMPLE_EXPORT("成绩查询简版导出任务标签", "成绩查询简版导出任务", "normal", 37),
    MARK_RESULT_STANDARD_EXPORT("成绩查询标准版导出任务标签", "成绩查询标准版导出任务", "normal", 38),
    EXAM_BREAK_DELAY("断点时间标签", "断点时间", "delay", 39),
    EXAM_BREAK_HISTORY_PERSISTED("断点记录数据持久化标签", "断点记录数据持久化", "normal", 40),
    OE_WEBSOCKET_MOBILE_ANSWER_READY("移动端拍照/录音扫描完成标签", "移动端拍照/录音扫描完成","broadcast", 42),
    OE_WEBSOCKET_MOBILE_ANSWER_UPLOAD("移动端拍照/录音上传成功标签", "移动端拍照/录音上传成功","broadcast", 43),
    OE_WEBSOCKET_EXAM_STOP("客户端考试结束标签", "客户端考试结束","broadcast", 44),
    MONITOR_START("监控开始标签", "监控开始","broadcast", 45),
    MONITOR_STOP("监控结束标签", "监控结束","broadcast", 46),
    EXAM_START("考试移动端监控开始标签", "考试移动端开始", "broadcast", 47),
    OE_WEBSOCKET_MOBILE_MONITOR_STATUS("通知客户端移动端当前监控状态标签", "通知客户端移动端当前监控状态", "broadcast", 48),
    TENCENT_VIDEO("腾讯云视频回调标签", "腾讯云视频回调", "delay", 49),
    CLOUD_MARK_SCORE_SYNC("同步云阅卷成绩任务标签", "同步云阅卷成绩任务", "normal", 50),
    ONLINE_LOG("考生上下线标签", "考生上下线", "normal", 51),
//    EXAM_AUDIO("考试语音任务标签", "考试语音任务", "normal", 52),
//    EXAM_AUDIO_MOBILE("考试语音移动端任务标签", "考试语音移动端任务", "normal", 53)
    CLOUD_MARK_DATA_PUSH("推送云阅卷数据标签", "推送云阅卷数据任务", "normal", 52),
    EXAM_EXIT("考试退出标签", "考试退出", "broadcast", 53),
    EXAM_ACTIVITY_FINAL_PREPARE_TIME("考场最后开考时间一次性延时任务标签", "考场最后开考时间一次性延时任务", "normal", 54);

    private MqTagEnum(String desc, String code, String type, int id) {
        this.desc = desc;
        this.code = code;
        this.type = type;
        this.id = id;
    }

    private String code;//留痕描述

    private String desc;//标签

    private String type;//消息类型，normal：正常消息，delay：延时消息，transactional：事务消息，broadcast：广播消息

    private int id;

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getType() {
        return type;
    }

    public int getId() {
        return id;
    }
}